<!-- -*- mode: markdown; mode: flyspell -*- -->

# LDAPUSERMGMT

A tool to perform user mangement on an LDAP server. It is based on
ldifusermgmt.

## RESOLVER

Resolvers are plugins that resolv user data (username, gecos, ..) out of 
one key.

A builtin resolver is: csv which expects a key in the form:
username;gecos

e.g. TISS resolver with matrikel: tu-matrikel <matrikel>
                   with oid: tu-oid <oid>

### RESOLVER API

The resolver is called with options (from the resolver config file) and one
final argument, which is the key.

The resolver returns 0 if there was no error, >0 in all other cases.
Output on stdout will be in semicolon separated CSV style:
  vorname;nachname;matrikelnummer;oid

Output of a resolver must consist of username and gecos. Optionally other
data can be returned and should be passed to lower level tools..

username=xyz;gecos=X Yz;mnr=12345;oid=9123

In case of error the resolver should write a error message to stderr.

## Default Exit Codes

| return value | meaning |
| ------------ | ------- |
| 0            | no error |
| 1            | something secified by user was not found (this might not be an error) |
| 10           | fatal runtime error |
| 11           | usage error |

## LDAPUSERADD

 syntax: ldapuseradd [-r=<resolver> ] section key [key [..]]

If key is "-" then ldapuseradd will read from stdin.

